package org.stuartgunter.rep.annotations;

/**
 * @author Stuart Gunter
 */
public enum RobotsDirective {

    ALL("all"),
    NO_INDEX("noindex"),
    NO_FOLLOW("nofollow"),
    NO_ARCHIVE("noarchive"),
    NONE("none"),
    NO_SNIPPET("nosnippet"),
    NO_ODP("noodp"),
    NO_TRANSLATE("notranslate"),
    NO_IMAGE_INDEX("noimageindex"),
    UNAVAILABLE_AFTER("unavailable_after");

    private String directive;

    RobotsDirective(String directive) {
        this.directive = directive;
    }

    public String getDirective() {
        return directive;
    }
}
